Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.util
Interface IClassFileAttribute

All Known Subinterfaces:
  IAnnotationDefaultAttribute, ICodeAttribute, IConstantValueAttribute, IEnclosingMethodAttribute, IExceptionAttribute, IInnerClassesAttribute, ILineNumberAttribute, ILocalVariableAttribute, ILocalVariableTypeTableAttribute, IRuntimeInvisibleAnnotationsAttribute, IRuntimeInvisibleParameterAnnotationsAttribute, IRuntimeVisibleAnnotationsAttribute, IRuntimeVisibleParameterAnnotationsAttribute, ISignatureAttribute, ISourceAttribute

public interface IClassFileAttribute

This class represents a generic class file attribute. It is intended to be extended for any new attribute.

Since:
  2.0

Method Summary
`long` | `getAttributeLength()` Answer back the attribute length as specified in the JVM specifications.
`char[]` | `getAttributeName()` Answer back the attribute name as specified in the JVM specifications.
`int` | `getAttributeNameIndex()` Answer back the attribute name index in the constant pool as specified in the JVM specifications.

Method Detail

### getAttributeNameIndex

    public int getAttributeNameIndex()

  Answer back the attribute name index in the constant pool as specified in the JVM specifications.

  Returns:
    the attribute name index in the constant pool

### getAttributeName

    public char[] getAttributeName()

  Answer back the attribute name as specified in the JVM specifications.

  Returns:
    the attribute name

### getAttributeLength

    public long getAttributeLength()

  Answer back the attribute length as specified in the JVM specifications.

  Returns:
    the attribute length

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.